%if 0%{?el7}
%define dist .el7
%endif
%define debug_package %{nil}

Name:          goom2k4
Version:       0
Release:       6%{?dist}
License:       LGPLv2
Summary:       Visual effects generator for audio players
Group:         Applications/Multimedia
URL:           http://www.fovea.cc/?page=details_produits&id=goom
Source:        http://downloads.sourceforge.net/goom/goom-2k4-%{version}-src.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc gcc-c++
BuildRequires: xmms-devel >= 1.2.10
BuildRequires: SDL-devel >= 1.2.0
BuildRequires: gtk2-devel >= 2.6.7
BuildRequires: glib-devel >= 1.2.10
BuildRequires: gtk+-devel >= 1.2.10
Provides:      SDL_goom = %{version}
Obsoletes:     SDL_goom < %{version}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Goom is a cool visual effects generator for almost every multimedia player. 
It includes a large number of trippy hypnotic effects that dance, 
swirl and pop with the music (Goom will dazzle you with its hypnotic).

%package -n libgoom2
Summary:       Shared library part of the Goom visualization plugin
Group:         System Environment/Libraries

%description -n libgoom2
Goom shared library which can be used to access the core
functions of goom (libvisual uses it if available for instance).

%package -n libgoom2-devel
Summary:       Development files of the Goom visualization plugin
Group:         Development/Libraries
Requires:      libgoom2 = %{version}-%{release}

%description -n libgoom2-devel
This package contains development files for %{name}.

%package -n xmms-goom
Summary:       The goom2k4 xmms plugin
Group:         Applications/Multimedia
Requires:      %{name} = %{version}-%{release}

%description -n xmms-goom
The %{name} xmms plugin.

%prep
%setup -q
# Avoid standard rpaths on lib64 archs
sed -i -e 's|"/lib /usr/lib\b|"/%{_lib} %{_libdir}|' configure

%build
%ifarch %{ix86}
CFLAGS="$CFLAGS -Wno-error=format-security -m32 -fPIC -O4"
%else
CFLAGS="$CFLAGS -Wno-error=format-security -m64 -fPIC -O4"
%endif
%configure --prefix=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/libgoom2.la
rm -f %{buildroot}%{_libdir}/xmms/Visualization/libxmmsgoom2.la

%clean
rm -rf %{buildroot}

%post -n libgoom2 -p /sbin/ldconfig
%postun -n libgoom2 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/goom2

%files -n libgoom2
%defattr(-,root,root,-)
%{_libdir}/libgoom2.so.*

%files -n libgoom2-devel
%defattr(-,root,root,-)
%dir %{_includedir}/goom
%{_includedir}/goom/*.h
%{_libdir}/libgoom2.so
%{_libdir}/pkgconfig/libgoom2.pc

%files -n xmms-goom
%defattr(-,root,root,-)
%{_libdir}/xmms/Visualization/libxmmsgoom2.so

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0-5
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0-4
- Rebuilt for fc22
